Page MenuHomePhabricator

S1. Bare bones special page to enable Flow without additional cleverness
Closed, ResolvedPublic1 Story Points

Description

We have not yet prioritized enable/disable, are trying to get rid of wgFlowOccupyPages (T90977), but continue getting one-off requests to enable Flow.

I think the best interim solution is to make a bare-bones special page that works similar to what we provide for bots (i.e. only works if the page doesn't exist and doesn't handle archiving for you).

Details

Related Gerrit Patches:
mediawiki/extensions/Flow : wmf/1.25wmf21Create Special:EnableFlow
mediawiki/extensions/Flow : masterCreate Special:EnableFlow

Event Timeline

Mattflaschen-WMF raised the priority of this task from to Medium.
Mattflaschen-WMF updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 6 2015, 11:50 PM
DannyH set Security to None.
DannyH moved this task from Untriaged to Team discussion on the Collaboration-Team-Triage board.

How hard is it to do archive the wikitext page + create a board there? I think that's going to be the most common use case over the next little while -- enabling Flow on pages that have had wikitext before.

How hard is it to do archive the wikitext page + create a board there? I think that's going to be the most common use case over the next little while -- enabling Flow on pages that have had wikitext before.

The main issue is that we haven't yet figured out a great way to choose archive titles that takes into account both language (it is not i18n-ed at all AFAICT) and site conventions. See second issue on parent task ("Our logic for choosing archive pages ...").

It should also give a clear error if the page already exists.

DannyH moved this task from Unscheduled to March 2015: Features & Apps on the Roadmap board.
DannyH edited a custom field.Mar 11 2015, 6:11 PM
DannyH renamed this task from Bare bones special page to enable Flow without additional cleverness to S1. Bare bones special page to enable Flow without additional cleverness.Mar 11 2015, 9:41 PM
DannyH removed a project: Collaboration-Team-Triage.

Change 196538 had a related patch set uploaded (by Mattflaschen):
Create Special:EnableFlow

https://gerrit.wikimedia.org/r/196538

Change 196538 merged by jenkins-bot:
Create Special:EnableFlow

https://gerrit.wikimedia.org/r/196538

Change 197431 had a related patch set uploaded (by EBernhardson):
Create Special:EnableFlow

https://gerrit.wikimedia.org/r/197431

Change 197431 merged by jenkins-bot:
Create Special:EnableFlow

https://gerrit.wikimedia.org/r/197431

Seems to work fine on mediawiki.org, please close if resolved :)

Mattflaschen-WMF closed this task as Resolved.Mar 20 2015, 6:30 PM
Restricted Application added a project: Notice. · View Herald TranscriptMar 24 2015, 5:52 PM
gpaumier moved this task from Backlog to Triaged on the Notice board.Mar 25 2015, 9:59 PM
gpaumier moved this task from Triaged to Archive on the Notice board.Apr 9 2015, 5:45 PM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptApr 9 2015, 5:45 PM